# Record Class VulkanConformanceVersion

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanConformanceVersion

Record Components:
  `major` - The major version
  `minor` - The minor version
  `subminor` - The subminor version
  `patch` - The patch version

public record VulkanConformanceVersion(int major, int minor, int subminor, int patch) extends Record
Structure containing the conformance test suite version the implementation is compliant with.

See Also:
  - "VkConformanceVersion"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanConformanceVersion(int major, int minor, int subminor, int patch)`
  Creates an instance of a `VulkanConformanceVersion` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `major()`
  Returns the value of the `major` record component.
  `int`
  `minor()`
  Returns the value of the `minor` record component.
  `int`
  `patch()`
  Returns the value of the `patch` record component.
  `int`
  `subminor()`
  Returns the value of the `subminor` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanConformanceVersion

    public VulkanConformanceVersion(int major, int minor, int subminor, int patch)
    Creates an instance of a `VulkanConformanceVersion` record class.
    Parameters:
      `major` - the value for the `major` record component
      `minor` - the value for the `minor` record component
      `subminor` - the value for the `subminor` record component
      `patch` - the value for the `patch` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### major

    public int major()
    Returns the value of the `major` record component.
    Returns:
      the value of the `major` record component

  - ### minor

    public int minor()
    Returns the value of the `minor` record component.
    Returns:
      the value of the `minor` record component

  - ### subminor

    public int subminor()
    Returns the value of the `subminor` record component.
    Returns:
      the value of the `subminor` record component

  - ### patch

    public int patch()
    Returns the value of the `patch` record component.
    Returns:
      the value of the `patch` record component